Page MenuHomePhabricator

Improve management of the production map sources
Closed, ResolvedPublic

Description

At the moment, we have several locations where we store Kartotherian and Tilerator configurations, and it might get a bit confusing. This task is to possibly try to clean it up somehow, and decide on a better strategy.

  1. Kartotherian config.yaml (puppet)
  2. Kartotherian <code-dir>/sources.prod.yaml (code)
  3. Tilerator config.yaml (puppet)
  4. Tilerator <code-dir>/sources.prod.yaml (code)
  5. Script to update OSM DB and notify Tilerator of the new expired tiles (puppet)

All 5 share the ID of the storage source (currently its v3 for maps, and v5 for maps-test).

We need to be able to have more sources in Tilerator than in Kartotherian to allow various experiments and to prepare the new sources before making them public.

Proposal

Our code can load sources from a list of files. If more than one file has a source with the same name, the latest one will be used.

  • a file with "production" sources - loaded by both Kartotherian & Tilerator
  • a file with tile-generation sources - sources that help in creating tiles - loaded by Tilerator only
  • a file with experimental sources - anything that is not used for production at the moment - could be both generating, filtering, and storing sources. When the source is ready, it should be moved to one of the above)

To implement this, we need to establish a common location for the source files, and a way to set needed paths in each configuration file.

Event Timeline

Yurik created this task.Jun 22 2016, 9:01 PM
Restricted Application added a project: Discovery. · View Herald TranscriptJun 22 2016, 9:01 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Yurik triaged this task as Low priority.Jun 22 2016, 9:02 PM
Yurik moved this task from All map-related tasks to Maps-data on the Maps board.Jun 26 2016, 8:17 PM
Yurik removed a project: Maps.Dec 15 2016, 4:32 AM
Gehel closed this task as Resolved.Feb 20 2018, 1:25 PM
Gehel claimed this task.

config.yaml and sources.yaml are now managed by puppet in a coherent way. This can be closed...